local timerMs = 1000
local timerStarted = false

local registeredHaders = {}

function OnEventEffectFinishedTimer( params )
  if params.wtOwner:IsEqual( mainForm:GetChildChecked( "bimbo" , false ) ) then
    CheckWidgetStatus()
    mainForm:GetChildChecked( "bimbo" , false ):PlayFadeEffect( 0.0, 1.0, timerMs, EA_SYMMETRIC_FLASH )
  end
end

function StartTimer( value )
  timerMs = value
  mainForm:GetChildChecked( "bimbo" , false ):PlayFadeEffect( 0.0, 1.0, timerMs, EA_SYMMETRIC_FLASH )
  RegisterEvent( OnEventEffectFinishedTimer, "EVENT_EFFECT_FINISHED" )
end

function StopTimer( value )
  UnRegisterEvent( OnEventEffectFinishedTimer , "EVENT_EFFECT_FINISHED" )
end

function RegisterEvent(func, headerName)
  if registeredHaders[headerName] == nil then
    registeredHaders[headerName] = {}
  end
  if not registeredHaders[headerName][func] then
    common.RegisterEventHandler(func, headerName)
    registeredHaders[headerName][func] = true
  end
end

function UnRegisterEvent(func, headerName)
  if not registeredHaders[headerName] == nil
    and registeredHaders[headerName][func] then
    common.UnRegisterEventHandler(func, headerName)
  end
end